Bug 426431 - Draft text access not restricted to administrators
Draft text access not restricted to administrators
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://bugs.gentoo.org/show_bug.cgi?i...
: Security
Depends On: 426432 426433 426434
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-20 18:25 EST by Lubomir Kundrak
Modified: 2008-01-02 20:41 EST (History)
1 user (show)

See Also:
Fixed In Version: wordpress-2.3.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-30 05:01:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-12-20 18:25:33 EST
From Gentoo bugzilla:

Michael Brooks has discovered a vulnerability in WordPress, which can be
exploited by malicious people to bypass certain security restrictions and to
disclose sensitive information.

The application does not properly restrict access to posted drafts to users
with valid administrator credentials. This can be exploited to read drafts by
accessing the index.php script with data in the "PATH_INFO" URL part ending
with "wp-admin/".

Examples:
http://[host]/[path]/index.php/wp-admin/
http://[host]/[path]/index.php/test-wp-admin/

The vulnerability is confirmed in version 2.3.1. Other versions may also be
affected.

Solution:
Do not post sensitive information as drafts.
Comment 2 Adrian Reber 2007-12-30 04:29:31 EST
This should be: http://trac.wordpress.org/ticket/5487

And is fixed with the wordpress 2.3.2 release.
Comment 3 Adrian Reber 2007-12-30 05:01:16 EST
Fixed in rawhide and stable update request have been made for F-7 and F-8.
Comment 4 Fedora Update System 2008-01-02 20:39:19 EST
wordpress-2.3.2-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-01-02 20:41:35 EST
wordpress-2.3.2-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.